## ros-jazzy-libpointmatcher 1.4.2

=== debian/changelog ===
ros-jazzy-libpointmatcher (1.4.2-1bookworm) bookworm; urgency=high

  * Add dockerhub release logic and improve main readme by @RedLeader962 in https://github.com/norlab-ulaval/libpointmatcher/pull/550
  * Update .gitingore with auto-generated patterns for C++, Python, JetBrains IDEs ,and VSCode by @boxanm in https://github.com/norlab-ulaval/libpointmatcher/pull/555
  * build: add ubuntu jammy to the repository suported version by @RedLeader962 in https://github.com/norlab-ulaval/libpointmatcher/pull/557
  * fix: Change unit tests floating point type to double and add a precision argument to output streams by @boxanm in https://github.com/norlab-ulaval/libpointmatcher/pull/558
  * Update the minimum required Cmake version to 3.10.2 by @boxanm in https://github.com/norlab-ulaval/libpointmatcher/pull/560
  * fix: Issue 534 transformation tests failing on some platforms by @boxanm in https://github.com/norlab-ulaval/libpointmatcher/pull/559
  * Added orientation descriptor in RigidTransformation and SimilarityTransformation compute functions. by @simonpierredeschenes in https://github.com/norlab-ulaval/libpointmatcher/pull/553

 -- Francois Pomerleau <f.pomerleau@gmail.com>  Sat, 23 Mar 2024 00:00:00 -0000

ros-jazzy-libpointmatcher (1.4.1-1bookworm) bookworm; urgency=high

  * Update package.xml version properly

 -- Francois Pomerleau <f.pomerleau@gmail.com>  Tue, 19 Mar 2024 00:00:00 -0000

ros-jazzy-libpointmatcher (1.4.0-1bookworm) bookworm; urgency=high

  * fix: N2ST path resolution in dependencies-doc docker image
  * refactor: move libpointmatcher build-system logic to norlab-build-system submodule
  * fix: build-system side unstable compilation issue fix
  * Fixes to CMake library management config generation
  * New DataPoints filter for descriptor augmentation  Enhancement
  * Fix 2D transformation tests in debug
  * Fix Transformations test build when using Eigen3.4
  * Disable static boost linkage by default
  * Update CompilationPython.md
  * Update README.md
  * Update readme_test.md for docker daemon test
  * Create readme_test.md
  * Updated the inner loop counter
  * build-system minor mod
  * libpointmatcher build-system
  * Fix omega descriptor export
  * Handle libnabo config mode
  * Build python binding as regular package
  * Fix time values after applying Sampling surface normal filter
  * Add seed to Random sampling filter
  * Add more details in pypointmatcher's installation docs
  * Fixed compilation on Visual Studio 2022
  * Fix 4DoF PointToPlane error minimizer crash
  * Use the LOG_INFO_STREAM macro instead of std::cerr
  * package format=3
  * Create LICENSE file based on BSD license as per package.xml
  * catkin not required for pure cmake packages
  * Histogram<T>::computeStats() without sorting the Histogram
  * Windows: Fix Narrowing conversion of seed in MaxPointCount
  * Change storage ordering of the eigen vectors descriptors
  * Apply the transformation to eigen vectors
  * Fix the surface normals datapoints filter covariance matrix bug
  * Fix weird behavior of MaxPointCountDataPointsFilter
  * Bug fix in SurfaceNormalOutlierFilter
  * Update CompilationWindows.md
  * [Matches/OutlierFiltersImpl] Made convergence error messages more informative
  * RemoveBeyond option for the maxQuantileDistance filter
  * refactor: Drop support for yaml-cpp old API  Enhancement
  * Automaticaly find eigen3
  * Strong Windows installation tutorial update
  * Add libpointmatcher_INCLUDE_DIR to match with CGAL
  * Add Boost_LIBRARIES to pointmatcher_LIBRARIES
  * Add option to weight by reading pc
  * Fixes for windows
  * Fix windows doc
  * Include iso646.h to add and, or, not macros
  * Typo in PCL lib name
  * Implemented an in-place method for transforming DataPoints objects
  * The keyword "or" is not supported by windows compilers.
  * Link against pthread
  * [DataPoints] Added check to prevent unsigned int underflow in getEuclideanDim()
  * [feature/spdf] Add SpectralDecompositionFilter (SpDF)
  * Fixed the differences between examples and documentation (#409)
  * Fix build of downstream packages.
  * Reorganization of the compiling tutorials for ubuntu and macos
  * Added reference for PointToPlaneWithCov ErrorMinimizer.
  * [WIP] feature/python_module : Adding libpointmatcher's Python bindings (#222)  Enhancement
  * Feature/speedup random sampling filter
  * Replaced the remaining raw pointers with shared pointers in Registrar.h
  * Adding the new outlierfilters documentation to mkdocs .yml
  * Outlier filter documentation added
  * Fix/typo Fixes tutorials building failure
  * Fixes tutorials formatting problem (#373)
  * [WIP] Fix/typo : Tutorials improvements
  * Fix out-of-bounds access
  * Add missing force4DOF param to PointToPlaneWithCov
  * Modernize cmake; make cmake compatible with git submoduling
  * Feature/4 dof for point to plane minimizer
  * Feature/geometry data points filter for master
  * Get rid of the Visual C++ warnings
  * Change matrix type
  * Update link to documentation in readme
  * Fix segfault happening in ICPSequence class
  * Added missing include that made windows compilation fail.
  * Change icp chain image to an svg
  * Add support for Travis
  * Fix typo
  * Improve speed of Normal Space filtering
  * Fix/normal space hashing
  * Fix/clamp normals

 -- Francois Pomerleau <f.pomerleau@gmail.com>  Fri, 15 Dec 2023 00:00:00 -0000

ros-jazzy-libpointmatcher (1.3.1-1bookworm) bookworm; urgency=high

  * Added documentation for people using ROS.
  * Increased libnabo minimal version to 1.0.7.
  * Added interface to inform if maximum number of iterations was reached.
  * Fixed portability issue of the FileLogger.
  * Fixed unit tests on Windows.
  * Fixed parameter-less modules having 'unknown' as class name.
  * Updated Windows compilation tutorial.
  * Fixed compilation problems on Windows.
  * Fixed PointToPlan error residual.
  * Changed DOI resolver link in documentation.

