=== debian/control ===
Source: ros-jazzy-libpointmatcher
Section: misc
Priority: optional
Maintainer: Francois Pomerleau <f.pomerleau@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libeigen3-dev, libyaml-cpp-dev, ros-jazzy-libnabo, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-libpointmatcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, libyaml-cpp-dev, ros-jazzy-libnabo, ros-jazzy-ros-workspace
Description: libpointmatcher is a modular ICP library, useful for robotics and computer vision.
